All Vulnerability Reports

CVE-2022-22979: Spring Cloud Function Dos Vulnerability


Severity

High

Vendor

Spring by VMware

Description

In Spring Cloud Function versions 3.2.5 and older unsupported versions, it is possible for a user who directly interacts with framework provided lookup functionality to cause denial of service condition due to the caching issue in Function Catalog component of the framework. At the time of writing of this CVE such interaction is only possible via spring-cloud-function-web module.

Affected VMware Products and Versions

Severity is high unless otherwise noted.

  • Spring Cloud Function
    • 3.2.5
    • Older, unsupported versions are also affected

Mitigation

Users of affected versions should upgrade to 3.2.6. No other steps are necessary. Releases that have fixed this issue include:

  • Spring Cloud Function
    • 3.2.6

Credit

This vulnerability was initially discovered and responsibly reported by Yaniv.Nizry@checkmarx.com.

References

History

2022-06-15: Initial vulnerability report published.